patch for the tldk.yaml
[ci-management.git] / jjb / tldk / include-raw-csit-tldk-functional-virl.sh
1 #!/bin/bash
2 set -xeu -o pipefail
3
4 # Clone tldk and start tests
5 git clone https://gerrit.fd.io/r/tldk
6
7 # If the git clone fails, complain clearly and exit
8 if [ $? != 0 ]; then
9     echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
10     exit 1
11 fi
12
13 # Clone csit and start tests
14 git clone https://gerrit.fd.io/r/csit
15
16 # If the git clone fails, complain clearly and exit
17 if [ $? != 0 ]; then
18     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
19     exit 1
20 fi
21
22 cd csit
23
24 # execute nsh_sfc bootstrap script if it exists
25 if [ -e bootstrap-TLDK.sh ]
26 then
27     # make sure that bootstrap-TLDK.sh is executable
28     chmod +x bootstrap-TLDK.sh
29     # run the script
30     ./bootstrap-TLDK.sh
31 else
32     echo 'ERROR: No bootstrap-TLDK.sh found'
33     exit 1
34 fi
35
36 # vim: ts=4 ts=4 sts=4 et :